glance.smooth.spline {broom} | R Documentation

## Tidy a(n) smooth.spine object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'smooth.spline'
    glance(x, ...)

### Arguments

`x` | A `smooth.spline` object returned from `stats::smooth.spline()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A one-row tibble::tibble with columns:

`spar` | smoothing parameter
`lambda` | choice of lambda corresponding to `spar`
`df` | equivalent degrees of freedom
`crit` | minimized criterion
`pen.crit` | penalized criterion
`cv.crit` | cross-validation score

### See Also

`augment()`, `stats::smooth.spline()`

Other smoothing spline tidiers: `augment.smooth.spline`

[Package broom version 0.5.2 Index]